[![default_img]][readme]
[![darcula_img]][readme] 
[![darker_img]][readme] <br>
[![lighter_img]][readme] &nbsp; 
[![information]][statuses]

[![plugin_img]][plugin_link] 
[![android_arsenal_img]][android_arsenal_link] 
[![license_img]][license_link] 
[![thanks_img]][thanks_link]

<!-- ===================== Content ========================= -->

# ChroMATERIAL
ChroMATERIAL is a color scheme that expresses the chromatic nature of [Material Design][material] within JetBrain IDEs and Android Studio. In particular, ChroMATERIAL focuses on syntax highlighting of code within the IDE's code editor. 

It's uniqueness lies in the idea...

> **Enhance influence, not banality**

![chromaterial_color-range_main][latest_img_normal]
<sub><sup>**Note** these images contain code from [Google's Android Vision API][android-vision] barcode sample app. </sup></sub>

# Support

| Type          | Supported |
| :-----------: | :-------- |
| **IDEs**      | <kbd>Android Studio</kbd> <kbd>IntelliJ IDEA</kbd> <kbd>PyCharm</kbd> <kbd> RubyMine</kbd> <kbd>WebStorm</kbd> <kbd>PhpStorm</kbd> <kbd>AppCode</kbd> <kbd>CLion</kbd> <kbd>DataGrip</kbd> <!-- NOTES --> <br><sub><sup>ChroMATERIAL supports **Text Editor** changes only. <br>ChroMATERIAL + [Material Theme][chris-rm_theme] will modify the whole IDE!</sup></sub> |
|||
| **Languages** | <kbd>Java</kbd> <kbd>Kotlin</kbd> <kbd>Groovy</kbd> <kbd>XML</kbd> <kbd>JSON</kbd> <kbd>HTML</kbd> <kbd>Regex</kbd> <kbd>YAML</kbd> <!-- PLUGINS --><!-- <br><br> Support via Plugins <br> <kbd> ... </kbd> --> <!-- NOTES --> <br><sub><sup>**Pull Requests** are welcome.</sup></sub> |
|||
| **Others**    | <kbd>Android</kbd> <kbd>Android Manifest</kbd> <kbd>Android Resources</kbd><kbd>Android Native (C / C++)</kbd> <kbd>Gradle</kbd> <kbd>Logcat</kbd> <kbd>Proguard Files</kbd> <kbd>Property Files</kbd> <kbd>Version Control</kbd> <kbd>Debugger</kbd> <kbd>Diff</kbd> <kbd>XSLT</kbd> <kbd>XPATH</kbd> <!-- PLUGINS --><br><br> Support via Plugins <br> <kbd>Ignore Files</kbd> <kbd>Markdown</kbd> <!-- NOTES --> <br><sub><sup>**Pull Requests** are welcome.</sup></sub> |

<!-- ========================================================== -->
# Installation

**Find Plugin**
 1. Open IDE and locate <kbd>File >> Settings >> Plugins</kbd> and click <kbd>Browse Repositories...</kbd>
 2. Search for and click <kbd>ChroMATERIAL</kbd> and click <kbd>Install plugin</kbd>

**Use Color Scheme** 

 3. Locate <kbd>File >> Settings >> Editor >> Colors & Fonts >> Scheme</kbd> 
 4. Choose <kbd>ChroMATERIAL</kbd> and click <kbd>Apply</kbd> / <kbd>OK</kbd>.

### Optional

<details>
<summary>You can modify any of the following in the code editor...</summary>

 - **font type** to your preference
 - **syntax highlighting** further to fit your particular tastes.

</details>

 

<!-- ===================== References ========================= -->

<!-- * * images * * -->

<!-- Basic -->
[yes]: https://cloud.githubusercontent.com/assets/8707125/10560554/6e30a660-7549-11e5-95ec-a07b0c049339.png
[no]: https://cloud.githubusercontent.com/assets/8707125/10560555/7263eddc-7549-11e5-8939-bfd2d6141f11.png
[information]: https://cloud.githubusercontent.com/assets/8707125/12080665/ebdfd2a0-b2a4-11e5-9419-53b5c41874d5.png 
               "View meanings"

<!-- Latest Version -->
[latest_img_normal]: https://cloud.githubusercontent.com/assets/8707125/12482832/27668d52-c095-11e5-89e9-01bb67e65aba.PNG

<!-- v1.2 -->
[v1.2_img_normal]: #

<!-- v1.1 -->
[v1.1_img_normal]: https://cloud.githubusercontent.com/assets/8707125/12482832/27668d52-c095-11e5-89e9-01bb67e65aba.PNG

<!-- v1.0 -->
[v1.0_img_normal]: https://cloud.githubusercontent.com/assets/8707125/10559945/814a770c-7536-11e5-99d4-efd4d03ea3f5.PNG
[v1.0_img_range]: https://cloud.githubusercontent.com/assets/8707125/10559946/814af8bc-7536-11e5-8666-102db39305f0.PNG

<!-- * * links * * -->
[material]: http://www.google.co.kr/design/spec/material-design/introduction.html#
[android-vision]: https://github.com/googlesamples/android-vision
[chris-rm]: https://github.com/ChrisRM
[chris-rm_theme]: https://github.com/ChrisRM/material-theme-jetbrains

<!-- * * files * * -->
[jar]: ChroMATERIAL/ChroMATERIAL.jar
[readme]: README.md
[statuses]: STATUS.md

<!-- * * badges * * -->
[plugin_img]: https://img.shields.io/badge/JetBrain_Plugin_Repository-7998-green.svg?style=flat-square
[plugin_link]: https://plugins.jetbrains.com/plugin/7998

[android_arsenal_img]: https://img.shields.io/badge/Android%20Arsenal-3936-green.svg?style=flat-square
[android_arsenal_link]: https://android-arsenal.com/details/1/3936

[license_img]: https://img.shields.io/badge/License-MIT-blue.svg?style=flat-square
[license_link]: LICENSE

[default_img]: https://img.shields.io/badge/Default_Color_Scheme-In_Progress-green.svg?style=flat-square
[darcula_img]: https://img.shields.io/badge/Darcula--compatible_Color_Scheme-In_Progress-green.svg?style=flat-square
[darker_img]: https://img.shields.io/badge/Darker_Color_Scheme-In_Progress-green.svg?style=flat-square
[lighter_img]: https://img.shields.io/badge/Lighter_Color_Scheme-Future-red.svg?style=flat-square

[thanks_img]: https://img.shields.io/badge/Special_Thanks-3-blue.svg?style=flat-square
[thanks_link]: THANKS.md
